CUDA Runtime API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 6.8. cudaExternalMemoryHandleDesc Struct Reference

## [Data types used by CUDA Runtime]

External memory handle descriptor

### Public Variables

int fd
unsigned int flags
void * handle
const void * name
unsigned long long size
enumcudaExternalMemoryHandleType type
cudaExternalMemoryHandleDesc::@6::@7 win32

### Variables

int cudaExternalMemoryHandleDesc::fd [inherited]

  File descriptor referencing the memory object. Valid when type is cudaExternalMemoryHandleTypeOpaqueFd

unsigned int cudaExternalMemoryHandleDesc::flags [inherited]

  Flags must either be zero or cudaExternalMemoryDedicated

void * cudaExternalMemoryHandleDesc::handle [inherited]

  Valid NT handle. Must be NULL if 'name' is non-NULL

const void * cudaExternalMemoryHandleDesc::name [inherited]

  Name of a valid memory object. Must be NULL if 'handle' is non-NULL.

unsigned long long cudaExternalMemoryHandleDesc::size [inherited]

  Size of the memory allocation

enumcudaExternalMemoryHandleType cudaExternalMemoryHandleDesc::type [inherited]

  Type of the handle

cudaExternalMemoryHandleDesc::@6::@7 cudaExternalMemoryHandleDesc::win32 [inherited]

  Win32 handle referencing the semaphore object. Valid when type is one of the following:

  - cudaExternalMemoryHandleTypeOpaqueWin32

  - cudaExternalMemoryHandleTypeOpaqueWin32Kmt

  - cudaExternalMemoryHandleTypeD3D12Heap

  - cudaExternalMemoryHandleTypeD3D12Resource Exactly one of 'handle' and 'name' must be non-NULL. If type is cudaExternalMemoryHandleTypeOpaqueWin32Kmt then 'name' must be NULL.